RubyMine 2016.1.1: Security Update for v2016.1 and Older Versions

Hello everyone,

Please welcome RubyMine 2016.1.1 (build 145.971). This update contains important fixes for two security issues inside IntelliJ Platform. The vulnerabilities, in various forms, are also present in older versions of the IDE; therefore, patches for those are also available. Please use “Check for Updates…” to download and install the update. Or, download RubyMine 2016.1.1 from our website.

We have had no reports of any active attacks against these vulnerabilities. However, it is strongly recommended for all users to install the update as soon as possible.

Please read more on the issues and ways to update in the company blog.

We have also fixed several issues on Ruby, Rails and HAML code parsing as well as some debugger issues. Please take a look at the release notes for more details.


Sincerely yours,
The RubyMine Team

This entry was posted in Announcement. Bookmark the permalink.

4 Responses to RubyMine 2016.1.1: Security Update for v2016.1 and Older Versions

  1. Gam says:

    After update, I get this when connection to my SVN server…. even with 2016.1:

    16:43:24 svn: E175002: Connection has been shutdown: javax.net.ssl.SSLHandshakeException: Received fatal alert: handshake_failure
    svn: E175002: OPTIONS request failed on ‘/myapp’
    16:43:24 Problems while loading file history: Server SSL certificate rejected

    What should I do? (reseting auth didn’t do anything)

  2. John says:

    My fonts become bold and blurry. Can’t fix it with anti-aliasing settings.

Leave a Reply

Your email address will not be published. Required fields are marked *